package net.sf.colossus.client;

/** Allows getting and setting options.
 *  An attempt to reduce the God-class nature of Client.
 *  @version $Id: IOptions.java,v 1.2 2004/04/28 06:19:18 peterbecker Exp $
 *  @author David Ripton
 */
public interface IOptions
{
    boolean getOption(String optname);
    String getStringOption(String optname);
    int getIntOption(String optname);
    void setOption(String optname, String value);
    void setOption(String optname, boolean value);
    void setOption(String optname, int value);
}
